Public Class frmDateVal

    Private Sub cmdCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click

        Dim intMM As Integer
        Dim intDD As Integer
        Dim intYYYY As Integer
        Dim intDayLimit As Integer

        intMM = Val(txtMM.Text)
        intDD = Val(txtDD.Text)
        intYYYY = Val(txtYYYY.Text)

        Select Case intMM
            Case 4, 6, 9, 11
                intDayLimit = 30
            Case 1, 3, 5, 7, 8, 10, 12
                intDayLimit = 31
            Case 2
                If intYYYY Mod 100 = 0 Then
                    If intYYYY Mod 400 = 0 Then
                        intDayLimit = 29
                    Else
                        intDayLimit = 28
                    End If
                Else
                    If intYYYY Mod 4 = 0 Then
                        intDayLimit = 29
                    Else
                        intDayLimit = 28
                    End If
                End If
            Case Else
                lblMsg.Text = "Date is NOT valid."
                txtMM.Focus()
                Exit Sub
        End Select

        If intDD >= 1 And intDD <= intDayLimit Then
            lblMsg.Text = "Date is valid."
            btnClear.Focus()
        Else
            lblMsg.Text = "Date is NOT valid."
            txtMM.Focus()
        End If

    End Sub

    Private Sub cmdClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click

        txtMM.Text = ""
        txtDD.Text = ""
        txtYYYY.Text = ""
        txtMM.Focus()

    End Sub

    Private Sub cmdExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub txtMM_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtMM.GotFocus
        txtMM.SelectAll()
    End Sub

    Private Sub txtMM_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtMM.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)
    End Sub

    Private Sub txtDD_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtDD.GotFocus
        txtDD.SelectAll()
    End Sub

    Private Sub txtDD_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtDD.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)
    End Sub

    Private Sub txtYYYY_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtYYYY.GotFocus
        txtYYYY.SelectAll()
    End Sub

    Private Sub txtYYYY_KeyPress(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtYYYY.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32)
    End Sub

End Class
